Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.server
Interface LifecycleListener

All Known Implementing Classes:
  LifecycleListenerImpl

public interface LifecycleListener

lifecycle modules implement `com.sun.appserv.server.LifecycleListener` interface. There is just one method in this interface: `handleEvent()` which posts server lifecycle events to the lifecycle modules.

Upon start up, before initializing its subsystems application server posts lifcycle modules the `INIT_EVENT`. This is followed by server posting the `STARTUP_EVENT` to the lifecycle modules upon which server starts loading and initializaing the applications. Once this phase is completed, the `READY_EVENT` is posted to the lifecycle modules.

When the server is shutdown, server posts the `SHUTDOWN_EVENT` to the lifecycle modules and then shuts down the applications and subsystems. Once this phase is completed the `TERMINATION_EVENT` is posted.

Note that lifecycle modules may obtain the event specific data by calling `getData()` on the event parameter in the `handleEvent()`. For the INIT_EVENT event, `getData()` returns the lifecycle module's properties configured in server.xml.

When `is-failure-fatal` in server.xml is set to `true`, all exceptions from the lifecycle modules are treated as fatal conditions.

Method Summary
`void` | `handleEvent(LifecycleEvent event)` receive a server lifecycle event

Method Detail

### handleEvent

    public void handleEvent(LifecycleEvent event)
                     throws ServerLifecycleException

  receive a server lifecycle event

  Parameters:
    `event` - associated event
  Throws:
    ``` - ServerLifecycleException` for exception condition.
    `ServerLifecycleException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.